Delete redundant profileicons.json.php file

Bug #1611995 reported by Aaron Wells on 2016-08-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Low
Aaron Wells
15.04
Low
Aaron Wells
15.10
Low
Aaron Wells
16.04
Low
Aaron Wells
16.10
Low
Aaron Wells

Bug Description

While code reviewing Bug 1590632, I noticed that there are two files named "profileicons.json.php" in the Mahara code base:

htdocs/artefact/file/profileicons.json.php
htdocs/artefact/internal/profileicons.json.php

It looks like only the one under the "file" artefact is actually used (it's referenced in htdocs/artefact/file/profileicons.php). The other one was mistakenly left behind in commit c2356895f72ff2d9b7130084fc403ad1cd20d59a, when the profileicons were moved from being internal artefacts to file artefacts.

Reviewed: https://reviews.mahara.org/6824
Committed: https://git.mahara.org/mahara/mahara/commit/9d7a9302a3b8032540f1594bf9f4bfe50d1edfdd
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 9d7a9302a3b8032540f1594bf9f4bfe50d1edfdd
Author: Aaron Wells <email address hidden>
Date: Thu Aug 11 11:43:18 2016 +1200

Bug 1611995: Remove redundant file

This file was accidentally left in place when profileicons
were moved from internal artefacts to file artefacts. It's
now redundant with artefact/file/profileicons.json.php

Change-Id: I544cda768e636a0076595ed64f49425fe1607e41
behatnotneeded: Covered by existing tests

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/6827

Mahara Bot (dev-mahara) wrote :

Patch for "15.04_STABLE" branch: https://reviews.mahara.org/6828

Reviewed: https://reviews.mahara.org/6826
Committed: https://git.mahara.org/mahara/mahara/commit/da531e94e7f885b2689fb1b4fdb8c92d79d7e7b9
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit da531e94e7f885b2689fb1b4fdb8c92d79d7e7b9
Author: Aaron Wells <email address hidden>
Date: Thu Aug 11 11:43:18 2016 +1200

Bug 1611995: Remove redundant file

This file was accidentally left in place when profileicons
were moved from internal artefacts to file artefacts. It's
now redundant with artefact/file/profileicons.json.php

Change-Id: I544cda768e636a0076595ed64f49425fe1607e41
behatnotneeded: Covered by existing tests
(cherry picked from commit 9d7a9302a3b8032540f1594bf9f4bfe50d1edfdd)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6828
Committed: https://git.mahara.org/mahara/mahara/commit/b2049df3eb1a6e4e8838d45bb6f412c38b586fbb
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit b2049df3eb1a6e4e8838d45bb6f412c38b586fbb
Author: Aaron Wells <email address hidden>
Date: Thu Aug 11 11:43:18 2016 +1200

Bug 1611995: Remove redundant file

This file was accidentally left in place when profileicons
were moved from internal artefacts to file artefacts. It's
now redundant with artefact/file/profileicons.json.php

Change-Id: I544cda768e636a0076595ed64f49425fe1607e41
behatnotneeded: Covered by existing tests
(cherry picked from commit 9d7a9302a3b8032540f1594bf9f4bfe50d1edfdd)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6827
Committed: https://git.mahara.org/mahara/mahara/commit/08ed5253037ea97e21a75b08702cb609801472ea
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 08ed5253037ea97e21a75b08702cb609801472ea
Author: Aaron Wells <email address hidden>
Date: Thu Aug 11 11:43:18 2016 +1200

Bug 1611995: Remove redundant file

This file was accidentally left in place when profileicons
were moved from internal artefacts to file artefacts. It's
now redundant with artefact/file/profileicons.json.php

Change-Id: I544cda768e636a0076595ed64f49425fe1607e41
behatnotneeded: Covered by existing tests
(cherry picked from commit 9d7a9302a3b8032540f1594bf9f4bfe50d1edfdd)

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.10.0 → none
Robert Lyon (robertl-9) on 2016-10-25
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers